## org.apache.batik.dom.svg
Class SVGOMAnimatedBoolean

    java.lang.Object
      org.apache.batik.dom.svg.SVGOMAnimatedBoolean

All Implemented Interfaces:
  LiveAttributeValue, SVGAnimatedBoolean

public class SVGOMAnimatedBoolean
extends java.lang.Object
implements SVGAnimatedBoolean, LiveAttributeValue

This class implements the `SVGAnimatedBoolean` interface.

Field Summary
`protected boolean` `baseVal` The actual boolean value.
`protected java.lang.String` `defaultValue` The default's attribute value.
`protected AbstractElement` `element` The associated element.
`protected java.lang.String` `localName` The attribute's local name.
`protected boolean` `mutate` Whether the mutation comes from this object.
`protected java.lang.String` `namespaceURI` The attribute's namespace URI.

Constructor Summary
`SVGOMAnimatedBoolean(AbstractElement elt, java.lang.String ns, java.lang.String ln, org.w3c.dom.Attr attr, java.lang.String val)` Creates a new SVGOMAnimatedBoolean.

Method Summary
`void` `attrAdded(org.w3c.dom.Attr node, java.lang.String newv)` Called when an Attr node has been added.
`void` `attrModified(org.w3c.dom.Attr node, java.lang.String oldv, java.lang.String newv)` Called when an Attr node has been modified.
`void` `attrRemoved(org.w3c.dom.Attr node, java.lang.String oldv)` Called when an Attr node has been removed.
`boolean` `getAnimVal()` DOM: Implements `SVGAnimatedBoolean.getAnimVal()`.
`boolean` `getBaseVal()` DOM: Implements `SVGAnimatedBoolean.getBaseVal()`.
`void` `setBaseVal(boolean baseVal)` DOM: Implements `SVGAnimatedBoolean.setBaseVal(boolean)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### element

    protected AbstractElement element

  The associated element.

### namespaceURI

    protected java.lang.String namespaceURI

  The attribute's namespace URI.

### localName

    protected java.lang.String localName

  The attribute's local name.

### baseVal

    protected boolean baseVal

  The actual boolean value.

### defaultValue

    protected java.lang.String defaultValue

  The default's attribute value.

### mutate

    protected boolean mutate

  Whether the mutation comes from this object.

Constructor Detail

### SVGOMAnimatedBoolean

    public SVGOMAnimatedBoolean(AbstractElement elt,
                                java.lang.String ns,
                                java.lang.String ln,
                                org.w3c.dom.Attr attr,
                                java.lang.String val)

  Creates a new SVGOMAnimatedBoolean.

Parameters:
  `elt` - The associated element.
  `ns` - The attribute's namespace URI.
  `ln` - The attribute's local name.
  `attr` - The attribute node, if any.
  `val` - The default attribute value, if missing.

Method Detail

### getBaseVal

    public boolean getBaseVal()

  DOM: Implements `SVGAnimatedBoolean.getBaseVal()`.

  Specified by:
    `getBaseVal` in interface `SVGAnimatedBoolean`

### setBaseVal

    public void setBaseVal(boolean baseVal)
                    throws org.w3c.dom.DOMException

  DOM: Implements `SVGAnimatedBoolean.setBaseVal(boolean)`.

  Specified by:
    `setBaseVal` in interface `SVGAnimatedBoolean`
  Throws:
    `org.w3c.dom.DOMException`

### getAnimVal

    public boolean getAnimVal()

  DOM: Implements `SVGAnimatedBoolean.getAnimVal()`.

  Specified by:
    `getAnimVal` in interface `SVGAnimatedBoolean`

### attrAdded

    public void attrAdded(org.w3c.dom.Attr node,
                          java.lang.String newv)

  Called when an Attr node has been added.

  Specified by:
    `attrAdded` in interface `LiveAttributeValue`

### attrModified

    public void attrModified(org.w3c.dom.Attr node,
                             java.lang.String oldv,
                             java.lang.String newv)

  Called when an Attr node has been modified.

  Specified by:
    `attrModified` in interface `LiveAttributeValue`

### attrRemoved

    public void attrRemoved(org.w3c.dom.Attr node,
                            java.lang.String oldv)

  Called when an Attr node has been removed.

  Specified by:
    `attrRemoved` in interface `LiveAttributeValue`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.